Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1362302 - [Doc] : 'OBJECT GATEWAY GUIDE FOR RED HAT ENTERPRISE LINUX/Ubuntu' has ceph-deploy commands
Summary: [Doc] : 'OBJECT GATEWAY GUIDE FOR RED HAT ENTERPRISE LINUX/Ubuntu' has ceph-...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Documentation
Version: 2.0
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: rc
: 2.0
Assignee: ceph-docs@redhat.com
QA Contact: Rachana Patel
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-01 21:41 UTC by Rachana Patel
Modified: 2016-09-30 17:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-30 17:20:13 UTC


Attachments (Terms of Use)

Description Rachana Patel 2016-08-01 21:41:18 UTC
Description of problem:
=======================
"OBJECT GATEWAY GUIDE FOR RED HAT ENTERPRISE LINUX" talks about ceph-deploy at few places.

e.g
1.
2.1. CHANGING YOUR DEFAULT PORT
ceph-deploy --overwrite-conf config pull <admin-node>
ceph-deploy --overwrite-conf config push <gateway-node> [<other-nodes>]

2.
2.2. MIGRATING FROM APACHE TO CIVETWEB
"Referring back to the description for installing a Ceph Object Gateway with ceph-deploy, notice that the configuration file only has one setting rgw_frontends (and that’s assuming you elected to change the default port). The ceph-deploy utility generates the data directory and the keyring for you—​placing the keyring in /var/lib/ceph/radosgw/{rgw-intance}. "



Additional info:
https://access.qa.redhat.com/documentation/en/red-hat-ceph-storage/2/single/object-gateway-guide-for-red-hat-enterprise-linux#changing_your_default_port


Expected Result:-
================
As far as I know, ceph-deploy will not be used in ceph 2.0. so please remove it with appropriate commands/text

Comment 3 John Wilkins 2016-08-02 18:13:10 UTC
References to ceph-deploy have been removed. See https://access.qa.redhat.com/documentation/en/red-hat-ceph-storage/2/single/object-gateway-guide-for-ubuntu

Also collapsed a few distro-specific topics into single topics with conditional text.

Comment 4 Rachana Patel 2016-08-03 15:04:33 UTC
link mentioned in comment #3 looks good to me hence moving to verified


Note You need to log in before you can comment on or make changes to this bug.